Summary:	Privoxy - privacy enhancing proxy
Summary(pl.UTF-8):	Privoxy - proxy rozszerzające prywatność
Name:		privoxy
Version:	3.0.16
Release:	3
License:	GPL v2+
Source0:	http://dl.sourceforge.net/ijbswa/%{name}-%{version}-stable-src.tar.gz
# Source0-md5:	64d3ffcdf8307e04a375773bb4eb255e
Source1:	%{name}.init
Source2:	%{name}.logrotate
Patch0:		%{name}-DESTDIR.patch
Group:		Networking/Daemons
URL:		http://www.privoxy.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	lynx
BuildRequires:	pcre-devel
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post):	fileutils
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(privoxy)
Provides:	user(privoxy)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Privoxy is a web proxy with advanced filtering capabilities for
protecting privacy, filtering web page content, managing cookies,
controlling access, and removing ads, banners, pop-ups and other
obnoxious Internet junk. Privoxy has a very flexible configuration and
can be customized to suit individual needs and tastes. Privoxy has
application for both stand-alone systems and multi-user networks.

Privoxy is based on the Internet Junkbuster.

%description -l pl.UTF-8
Privoxy to proxy WWW z rozszerzonymi możliwościami filtrowania
służącymi do zabezpieczenia prywatności, filtrowania zawartości stron
WWW, zarządzania ciasteczkami, kontroli dostępu, usuwania bannerów,
wyskakujących okienek i innych wstrętnych internetowych śmieci.
Privoxy ma bardzo elastyczną konfigurację i może być dopasowywane do
indywidualnych potrzeb i gustów. Privoxy ma aplikację dla systemów
samodzielnych i serwerów sieciowych dla wielu użytkowników.

Privoxy jest oparte na Internet Junkbusterze.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	CONF_BASE=%{_sysconfdir}/privoxy \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}

# just GPLv2
rm -f $RPM_BUILD_ROOT%{_docdir}/privoxy/LICENSE

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 108 privoxy
%useradd -u 108 -d %{_sysconfdir}/%{name} -s /bin/false -c "%{name} user" -g privoxy privoxy

%post
/sbin/chkconfig --add privoxy
%service privoxy restart

%preun
if [ "$1" = "0" ]; then
	%service -q privoxy stop
	/sbin/chkconfig --del privoxy
fi

%postun
if [ "$1" = "0" ]; then
	%userremove privoxy
	%groupremove privoxy
fi

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_sbindir}/%{name}
%dir %attr(751,root,privoxy) %{_sysconfdir}/%{name}
%dir %attr(751,root,privoxy) %{_sysconfdir}/%{name}/templates
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/config
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/trust
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.*
%attr(640,root,privoxy) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/templates/*
%config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%{_mandir}/man1/%{name}.*
%dir %attr(751,privoxy,privoxy) /var/log/%{name}
%attr(640,privoxy,privoxy) %ghost %verify(not md5 mtime size) /var/log/%{name}/*
%{_docdir}/%{name}
%changelog
* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6e806e8
- release 3

* Fri Jan 20 2012 Jan Rękorajski <baggins@pld-linux.org> fa9d070
- rel 2
- logrotate 3.8.0 requires "su" option for non-root owned dirs

* Sat Mar 27 2010 areq <areq@pld-linux.org> 2e7fd31
- 3.0.16

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> b10004b
- unify %attr() %ghost order

* Mon May 18 2009 Karol Krenski <charles@pld-linux.org> 11ce3f7
- updated to 3.0.12
- cleanups, integer rel.

* Tue Oct 14 2008 twittner <twittner@pld-linux.org> 5f4bc3a
- readded -DESTDIR.patch (see its commitlog for reason)
- don't override CFLAGS, use OTHER_CFLAGS variable instead
- rel. 02

* Tue Oct 14 2008 twittner <twittner@pld-linux.org> 95bca18
- readded - fix against $DESTDIR/etc/privoxy/{config,trust}.new files
  when /etc/privoxy/{config,trust} files already exist in system

* Sun Oct 12 2008 twittner <twittner@pld-linux.org> d3fca3b
- up to 3.0.10
- -DESTDIR.patch removed (applied upstream)
- rel. 0.1 - rpm -E '%_docdir' shows that this macro is not defined

* Sun Oct 12 2008 twittner <twittner@pld-linux.org> 9e25323
- applied upstream in (thnx to Radek)

* Sun Mar 09 2008 radek <radek@pld-linux.org> ae14ae8
- updated for 3.0.8

* Sun Mar 09 2008 radek <radek@pld-linux.org> 65f8dd5
- version 3.0.8

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> e8c7cda
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 905a2a9
- converted to UTF-8

* Sat Sep 09 2006 Elan Ruusamäe <glen@pld-linux.org> 1d14398
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

* Sat Sep 02 2006 Elan Ruusamäe <glen@pld-linux.org> 197b93f
- _defaultdocdir -> _docdir

* Fri Apr 14 2006 Elan Ruusamäe <glen@pld-linux.org> dfa2948
- rel 5

* Sat Apr 01 2006 radek <radek@pld-linux.org> 312ffdb
- removed -x permission bit from config files

* Sun Mar 12 2006 Elan Ruusamäe <glen@pld-linux.org> 5d543d9
- BR macros for %service, adapterized

* Tue Dec 13 2005 radek <radek@pld-linux.org> cc30dea
- release 3

* Fri Dec 02 2005 radek <radek@pld-linux.org> 0ae6f1b
- create after rotating

